using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFPageChartParamMap : APTEntityBaseMap<T_PF_PAGE_CHART_PARAM>
	{
		public override void Configure(EntityTypeBuilder<T_PF_PAGE_CHART_PARAM> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.FIELD_NAME).HasMaxLength(200);
			builder.Property(t => t.VALUE).HasMaxLength(200);
			builder.HasOne(t => t.Nav_PageChart).
				WithMany(t => t.Nav_Params).HasForeignKey(t => t.PAGE_CHART_ID).OnDelete(DeleteBehavior.Restrict);
			 
		}
		 
	}
}
